Skip to content

My sites

All operations require authentication.

12 operationsv2/managedCMS/resource
Agent setup

List websitesAlpha

GET
/v2/managedCMS/resource/{serviceId}/website

Returns the websites of the service.

Path parameters

serviceId
required
stringuuid

Service ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Website[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Target specification of the website

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": null, "themes": null } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": null, "media": null, "pages": null, "plugins": null, "posts": null, "tags": null, "themes": null, "users": null, "wholeDatabase": null } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } } }]

Get a websiteAlpha

GET
/v2/managedCMS/resource/{serviceId}/website/{websiteId}

Returns the CMS and PHP versions, domains, SFTP and database access, disk usage and planned update of the website.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Response

200Websitesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Target specification of the website

404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}

Create a websiteAlpha

POST
/v2/managedCMS/resource/{serviceId}/website

Creates a WordPress website, imports one from its admin URL and credentials, or clones a website of the same service. The admin login of a created website must be an email address. Creation is asynchronous: follow its task in currentTasks.

Path parameters

serviceId
required
stringuuid

Service ID

Request body (required)

targetSpec
required
WebsiteCreationTargetSpec

Target specification of the website

Response

200Websitesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Target specification of the website

400objectError 400 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}

Flush the website CDNAlpha

POST
/v2/managedCMS/resource/{serviceId}/website/{websiteId}/flushCDN

Flushes the CDN cache of the website and returns the task.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Response

200CurrentTasksuccessful operation
errors
read-only
TaskError[]

Errors that occurred on the task

id
read-only
stringuuid

Identifier of the current task

link
read-only
string

Link to the task details

status
read-only
CurrentTaskStatusEnum

Current global status of the current task

ValuesERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the current task

400objectError 400 response
404objectError 404 response
409objectError 409 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId}/flushCDN \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}

Reset the database passwordAlpha

POST
/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetDatabasePassword

Generates a new database password and sets it on the database and in the WordPress configuration. Use it to revoke a leaked password: the new password is not returned.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Response

200CurrentTasksuccessful operation
errors
read-only
TaskError[]

Errors that occurred on the task

id
read-only
stringuuid

Identifier of the current task

link
read-only
string

Link to the task details

status
read-only
CurrentTaskStatusEnum

Current global status of the current task

ValuesERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the current task

400objectError 400 response
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetDatabasePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}

Reset the PhpMyAdmin passwordAlpha

POST
/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetPhpMyAdminPassword

Sets a new PhpMyAdmin password for the website and returns the task. The password needs 9 to 30 alphanumeric characters, with at least one uppercase letter, one lowercase letter and one digit.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Request body (required)

password
required
stringpassword

New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit)

Response

200CurrentTasksuccessful operation
errors
read-only
TaskError[]

Errors that occurred on the task

id
read-only
stringuuid

Identifier of the current task

link
read-only
string

Link to the task details

status
read-only
CurrentTaskStatusEnum

Current global status of the current task

ValuesERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the current task

400objectError 400 response
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetPhpMyAdminPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}

Reset the SFTP passwordAlpha

POST
/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetSftpPassword

Sets a new SFTP password for the website and returns the task. The password needs 9 to 30 alphanumeric characters, with at least one uppercase letter, one lowercase letter and one digit.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Request body (required)

password
required
stringpassword

New password (9-30 alphanumeric characters, with at least one uppercase, one lowercase and one digit)

Response

200CurrentTasksuccessful operation
errors
read-only
TaskError[]

Errors that occurred on the task

id
read-only
stringuuid

Identifier of the current task

link
read-only
string

Link to the task details

status
read-only
CurrentTaskStatusEnum

Current global status of the current task

ValuesERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the current task

400objectError 400 response
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId}/resetSftpPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}

Export a website backupAlpha

POST
/v2/managedCMS/resource/{serviceId}/website/{websiteId}/snapshot

Exports a full backup of the website, files and database, and returns the task. The download links are sent by email.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Response

200CurrentTasksuccessful operation
errors
read-only
TaskError[]

Errors that occurred on the task

id
read-only
stringuuid

Identifier of the current task

link
read-only
string

Link to the task details

status
read-only
CurrentTaskStatusEnum

Current global status of the current task

ValuesERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the current task

400objectError 400 response
404objectError 404 response
409objectError 409 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string"}

Get the download links of a backup of a websiteBeta

GET
/v2/managedCMS/resource/{serviceId}/website/{websiteId}/backupDownload

Returns a backup of the website with its download links, one for its files and one for its database, available once the backup is READY. Backups are listed in the current state of the website.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Query parameters

backupId
required
stringuuid

Identifier of the backup, as listed in the current state of the website

Response

200Backupsuccessful operation
databaseDownloadURL
read-only
string

URL to download the database of the backup, null while the backup is being created

expiresAt
read-only
stringdate-time

Date after which the backup is deleted, null while the backup is being created

filesDownloadURL
read-only
string

URL to download the files of the backup, null while the backup is being created

id
read-only
stringuuid

Unique identifier of the backup

sizeBytes
read-only
integer

Size of the backup, in bytes, null while the backup is being created

startedAt
read-only
stringdate-time

Date the backup was triggered at

status
read-only
BackupStatusEnum

Status of the backup

ValuesCREATINGREADY
type
read-only
BackupTypeEnum

Whether the backup was taken automatically or requested by the customer

ValuesAUTOMATICMANUAL
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId}/backupDownload \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseDownloadURL": "string", "expiresAt": "2024-01-01T12:00:00Z", "filesDownloadURL": "string", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC"}

Delete a websiteAlpha

DELETE
/v2/managedCMS/resource/{serviceId}/website/{websiteId}

Permanently deletes the website, with its files and database.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Response

200Websitesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Target specification of the website

400objectError 400 response
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}

Update a websiteAlpha

PUT
/v2/managedCMS/resource/{serviceId}/website/{websiteId}

Updates the domains, primary FQDN or planned update of the website. It can also flush its CDN, or reset its database, SFTP or PhpMyAdmin password.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Request body (required)

targetSpec
WebsiteEditionTargetSpec

Target specification to edit a website

Response

200Websitesuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests

currentState
read-only
WebsiteCurrentState

Current state of the website

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the website

id
read-only
stringuuid

Unique identifier of the website

resourceStatus
read-only
ResourceStatusEnum

Website readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
WebsiteTargetSpec

Target specification of the website

400objectError 400 response
404objectError 404 response
409objectError 409 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "backups": [ { "expiresAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "sizeBytes": 0, "startedAt": "2024-01-01T12:00:00Z", "status": "CREATING", "type": "AUTOMATIC" } ], "cms": "WORDPRESS", "cmsVersion": "string", "createdAt": "2024-01-01T12:00:00Z", "databaseHost": "string", "databasePort": 0, "defaultFQDN": "string", "diskUsageBytes": 0, "domains": [ { "fqdn": "string" } ], "import": { "checkResult": { "cmsSpecific": { "wordpress": { "plugins": [ null ], "themes": [ null ] } } } }, "phpMyAdminURL": "string", "phpMyAdminUsername": "string", "phpVersion": "string", "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z", "result": "string", "url": "string" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string", "status": "TEST_DOING" }, "primaryFQDN": "string", "serviceId": "00000000-0000-0000-0000-000000000000", "sftpHost": "string", "sftpPort": 0, "sftpUsername": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "clone": { "sourceWebsiteId": "00000000-0000-0000-0000-000000000000" }, "creation": { "adminLogin": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "language": "de_DE" } }, "phpVersion": "string" }, "domains": [ { "fqdn": "string" } ], "import": { "adminLogin": "string", "adminURL": "string", "cms": "WORDPRESS", "cmsSpecific": { "wordpress": { "selection": { "comments": true, "media": true, "pages": true, "plugins": [ null ], "posts": true, "tags": true, "themes": [ null ], "users": true, "wholeDatabase": true } } } }, "plannedUpdate": { "cmsVersion": "string", "dryRun": { "date": "2024-01-01T12:00:00Z" }, "plannedAt": "2024-01-01T12:00:00Z", "runtimeVersion": "string" }, "restoreBackup": { "backupId": "00000000-0000-0000-0000-000000000000" } }}

Create an application password on the websiteBeta

POST
/v2/managedCMS/resource/{serviceId}/website/{websiteId}/applicationPassword

Each call creates a new application password on the existing administrator user. The previous ones stay valid. They can be revoked from the CMS administration.

Path parameters

serviceId
required
stringuuid

Service ID

websiteId
required
stringuuid

Website ID

Response

200ApplicationPasswordsuccessful operation
login
read-only
string

Login of the user the application password belongs to

password
read-only
stringpassword

Application password to authenticate as login on the CMS API, returned only in this response

400objectError 400 response
404objectError 404 response

Example uses serviceId = 00000000-0000-0000-0000-000000000000, websiteId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/managedCMS/resource/{serviceId}/website/{websiteId}/applicationPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "password": "string"}